<div [ngClass]="{'eh-w-100p eh-h-100p e-bg-matgrey100 e-brd e-brd--all': true, 'eh-d-none': !isVisible}"
  style="min-height: 52px;">
  <div *ngIf="!file" class="eh-w-100p eh-h-100p eh-xy-center eh-px-16">
    <span class="eh-txt-10 eh-txt-bold e-txt e-txt--matgrey500">PREVIEW</span>
  </div>
  <div *ngIf="uploadPercentage$ | async as pct"
    [ngClass]="pct !== 100 ? 'eh-w-100p eh-h-100p eh-xy-center eh-px-16' : 'eh-d-none'">
    <mat-progress-bar mode="determinate" [value]="pct"></mat-progress-bar>
  </div>
  <div *ngIf="uploadState$ | async as state" class="eh-w-100p eh-h-100p">
    <div *ngIf="fileURL as url" class="eh-w-100p eh-h-100p eh-xy-center eh-pos-relative">
      <img class="eh-fit" [src]="url"><br>
      <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
        <app-button-icon [icon]="'cancel'" (onButtonClick)="onFileDelete()">
        </app-button-icon>
      </div>
    </div>
  </div>
</div>